# Source: fission-all/templates/mqt-keda/deployment.yaml
apiVersion: apps/v1
kind: Deployment
metadata:
  name: mqtrigger-keda
  labels:
    chart: "fission-all-v1.20.1"
    svc: mqtrigger-keda
    messagequeue: keda
spec:
  replicas: 1
  selector:
    matchLabels:
      svc: mqtrigger-keda
      messagequeue: keda
  template:
    metadata:
      labels:
        svc: mqtrigger-keda
        messagequeue: keda
    spec:
      containers:
      - name:  mqtrigger-keda
        image: "ghcr.io/fission/fission-bundle:v1.20.1"
        imagePullPolicy: IfNotPresent
        command: ["/fission-bundle"]
        args: ["--mqt_keda", "--routerUrl", "http://router.fission"]
        env:
        - name: DEBUG_ENV
          value: "false"
        - name: CONNECTOR_IMAGE_PULL_POLICY
          value: "IfNotPresent"
        - name: KAFKA_IMAGE
          value: "ghcr.io/fission/keda-kafka-http-connector:v0.13"
        - name: RABBITMQ_IMAGE
          value: "ghcr.io/fission/keda-rabbitmq-http-connector:v0.11"
        - name: AWS-KINESIS-STREAM_IMAGE
          value: "ghcr.io/fission/keda-aws-kinesis-http-connector:v0.11"
        - name: AWS-SQS-QUEUE_IMAGE
          value: "ghcr.io/fission/keda-aws-sqs-http-connector:v0.12"
        - name: STAN_IMAGE
          value: "ghcr.io/fission/keda-nats-streaming-http-connector:v0.14"
        - name: NATS-JETSTREAM_IMAGE
          value: "ghcr.io/fission/keda-nats-jetstream-http-connector:v0.5"
        - name: GCP-PUBSUB_IMAGE
          value: "ghcr.io/fission/keda-gcp-pubsub-http-connector:v0.7"
        - name: REDIS_IMAGE
          value: "ghcr.io/fission/keda-redis-http-connector:v0.4"        
        - name: FISSION_BUILDER_NAMESPACE
          value: ""
        - name: FISSION_FUNCTION_NAMESPACE
          value: ""
        - name: FISSION_DEFAULT_NAMESPACE
          value: "default"
        - name: FISSION_RESOURCE_NAMESPACES
          value: default        
        - name: KUBE_CLIENT_QPS
          value: "200"
        - name: KUBE_CLIENT_BURST
          value: "500"        
        - name: OTEL_EXPORTER_OTLP_ENDPOINT
          value: ""
        - name: OTEL_EXPORTER_OTLP_INSECURE
          value: "true"
        - name: OTEL_TRACES_SAMPLER
          value: "parentbased_traceidratio"
        - name: OTEL_TRACES_SAMPLER_ARG
          value: "0.1"
        - name: OTEL_PROPAGATORS
          value: "tracecontext,baggage"
        resources:
          {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      serviceAccountName: fission-keda